"""
Parameter study: rotational speed

This script varies the rotational speed of the HSK interface.

Author: F. Birk
"""

import numpy as np

joblist = []

Drehzahl = np.linspace(1000.0, 50000.0, num=50)

for g_Umin in Drehzahl:

    g_Emod_H = 210000.0
    g_Emod_A = 210000.0
    g_q = 0
    g_reib = 0.15
    g_F_sp = 18000.0
    g_d_1 = 63.0

    string = str(g_Umin).replace('.', '_')
    g_Jobname = 'Berechnung-' + string + '-mit-er'
    joblist.append(g_Jobname)

    execfile('HSK_63_axi.py', __main__.__dict__)
    Mdb()

    g_q = 1
    g_Jobname = 'Berechnung-' + string + '-mit-fr'
    joblist.append(g_Jobname)

    execfile('HSK_63_axi.py', __main__.__dict__)

paramsFile = open('joblist_Umin.txt', 'w')
for job in joblist:
    paramsFile.write(str(job) + '\n')
paramsFile.close()